@base <https://purl.org/coscine/ap/sfb1394/SEM/> .

@prefix dash: <http://datashapes.org/dash#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix csmd: <http://www.purl.org/net/CSMD/4.0#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix sfb1394: <http://purl.org/coscine/terms/sfb1394#> .
@prefix coscineSfb1394SEM: <https://purl.org/coscine/ap/sfb1394/SEM#> .

 # SEM 
<https://purl.org/coscine/ap/sfb1394/SEM/>
  dcterms:license <http://spdx.org/licenses/MIT> ;
  dcterms:publisher <https://itc.rwth-aachen.de/> ;
  dcterms:rights "Copyright © 2020 IT Center, RWTH Aachen University" ;
  dcterms:title "SFB1394 SEM"@en ;

  a sh:NodeShape ;
  sh:targetClass <https://purl.org/coscine/ap/sfb1394/SEM/> ;
  sh:closed true ;

  sh:property [
    sh:path rdf:type ;
  ] ;

  sh:property coscineSfb1394SEM:ID ;
  sh:property coscineSfb1394SEM:aliasID ;
  sh:property coscineSfb1394SEM:user ;
  sh:property coscineSfb1394SEM:date ;
  sh:property coscineSfb1394SEM:affiliation ;
  sh:property coscineSfb1394SEM:dois ;
  sh:property coscineSfb1394SEM:temperature ;
  sh:property coscineSfb1394SEM:relativeHumidity ;
  sh:property coscineSfb1394SEM:environmentalGas ;
  sh:property coscineSfb1394SEM:operator ;
  sh:property coscineSfb1394SEM:instrumentId ;
  sh:property coscineSfb1394SEM:sampleId ;
  sh:property coscineSfb1394SEM:parentSampleId ;
  sh:property coscineSfb1394SEM:anyDataSetToBeLinkedWithThisExperiment ;
  sh:property coscineSfb1394SEM:TestingEnv ;
  sh:property coscineSfb1394SEM:pre-treatment ;
  sh:property coscineSfb1394SEM:measurementPosition ;
  sh:property coscineSfb1394SEM:detectorIds ;
  sh:property coscineSfb1394SEM:acceleratingVoltage ;
  sh:property coscineSfb1394SEM:current ;
  sh:property coscineSfb1394SEM:magnification ;
  sh:property coscineSfb1394SEM:imageWidth ;
  sh:property coscineSfb1394SEM:imageSize ;
  sh:property coscineSfb1394SEM:acquisitionMode ;
  sh:property coscineSfb1394SEM:storageTilt ;
  sh:property coscineSfb1394SEM:measurementDateTime ;
  sh:property coscineSfb1394SEM:comments ;
.

coscineSfb1394SEM:ID 
  sh:path dcterms:identifier ;
  sh:order 0 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:name "ID"@en, "ID"@de ;
. 

coscineSfb1394SEM:aliasID 
  sh:path sfb1394:aliasID ;
  sh:order 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "External/alias ID"@en, "External/alias ID"@de ;
. 

coscineSfb1394SEM:user 
  sh:path dcterms:creator ;
  sh:order 2 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:defaultValue "{ME}" ;
  sh:name "User"@en, "User"@de ;
. 

coscineSfb1394SEM:date 
  sh:path dcterms:created ;
  sh:order 3 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Date"@en, "Date"@de ;
. 

coscineSfb1394SEM:affiliation 
  sh:path sfb1394:affiliation ;
  sh:order 4 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Affiliation"@en, "Affiliation"@de ;
. 

coscineSfb1394SEM:dois 
  sh:path dcterms:isReferencedBy ;
  sh:order 5 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "DOIs"@en, "DOIs"@de ;
. 

coscineSfb1394SEM:temperature 
  sh:path sfb1394:temperature ;
  sh:order 6 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Temperature [°C]"@en, "Temperature [°C]"@de ;
  qudt:Unit unit:Deg_C ;
. 

coscineSfb1394SEM:relativeHumidity 
  sh:path sfb1394:relativeHumidity ;
  sh:order 7 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Relative humidity [%]"@en, "Relative humidity [%]"@de ;
  qudt:Unit unit:PERCENT_RH ;
. 

coscineSfb1394SEM:environmentalGas 
  sh:path sfb1394:environmentalGas ;
  sh:order 8 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Environmental gas"@en, "Environmental gas"@de ;
. 

coscineSfb1394SEM:operator 
  sh:path sfb1394:operator ;
  sh:order 9 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Operator"@en, "Operator"@de ;
. 

coscineSfb1394SEM:instrumentId 
  sh:path csmd:investigation_instrument ;
  sh:order 10 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Instrument ID"@en, "Instrument ID"@de ;
. 

coscineSfb1394SEM:sampleId 
  sh:path csmd:investigation_sample ;
  sh:order 11 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Sample ID"@en, "Sample ID"@de ;
. 

coscineSfb1394SEM:parentSampleId 
  sh:path sfb1394:parentSampleId ;
  sh:order 12 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Parent sample ID"@en, "Parent sample ID"@de ;
. 

coscineSfb1394SEM:anyDataSetToBeLinkedWithThisExperiment 
  sh:path sfb1394:anyDataSetToBeLinkedWithThisExperiment ;
  sh:order 13 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Any data set to be linked with this experiment"@en, "Any data set to be linked with this experiment"@de ;
. 

coscineSfb1394SEM:TestingEnv 
  sh:path sfb1394:TestingEnv ;
  sh:order 14 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Environmental protection during sample processing"@en, "Environmental protection during sample processing"@de ;
. 

coscineSfb1394SEM:pre-treatment 
  sh:path sfb1394:pre-treatment ;
  sh:order 15 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Pre-treatment"@en, "Pre-treatment"@de ;
. 

coscineSfb1394SEM:measurementPosition 
  sh:path sfb1394:measurementPosition ;
  sh:order 16 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Measurement position"@en, "Measurement position"@de ;
. 

coscineSfb1394SEM:detectorIds 
  sh:path sfb1394:detectorIds ;
  sh:order 17 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Detector IDs"@en, "Detector IDs"@de ;
. 

coscineSfb1394SEM:acceleratingVoltage 
  sh:path sfb1394:acceleratingVoltage ;
  sh:order 18 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Accelerating voltage [kV]"@en, "Accelerating voltage [kV]"@de ;
  qudt:Unit unit:KiloV ;
. 

coscineSfb1394SEM:current 
  sh:path sfb1394:current ;
  sh:order 19 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Current [mA]"@en, "Current [mA]"@de ;
  qudt:Unit unit:MilliA ;
. 

coscineSfb1394SEM:magnification 
  sh:path sfb1394:magnification ;
  sh:order 20 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Magnification"@en, "Magnification"@de ;
. 

coscineSfb1394SEM:imageWidth 
  sh:path sfb1394:imageWidth ;
  sh:order 21 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Image width [μm]"@en, "Image width [μm]"@de ;
  qudt:Unit unit:MicroM ;
. 

coscineSfb1394SEM:imageSize 
  sh:path sfb1394:imageSize ;
  sh:order 22 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Image size [px(width) x px(height)]"@en, "Image size [px(width) x px(height)]"@de ;
  qudt:Unit unit:NUM ;
. 

coscineSfb1394SEM:acquisitionMode 
  sh:path sfb1394:acquisitionMode ;
  sh:order 23 ;
  sh:maxCount 1 ;
  sh:name "Acquisition mode"@en, "Acquisition mode"@de ;
  sh:class <http://purl.org/coscine/vocabularies/sfb1394/Acquisitionmode> ; 
. 

coscineSfb1394SEM:storageTilt 
  sh:path sfb1394:storageTilt ;
  sh:order 24 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Storage tilt [°]"@en, "Storage tilt [°]"@de ;
  qudt:Unit unit:DEG ;
. 

coscineSfb1394SEM:measurementDateTime 
  sh:path sfb1394:measurementDateTime ;
  sh:order 25 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Measurement date"@en, "Measurement date"@de ;
. 

coscineSfb1394SEM:comments 
  sh:path sfb1394:comments ;
  sh:order 26 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Comments"@en, "Comments"@de ;
. 
